Subject: Re: [Healeys] Sea Foam

From: John H <[email-masked]>
Date: Mon, 07 Jul 2025 17:05:11 +0000

Elton,

I run Sea Foam in our 4 antique cars and an antique boat...in every tank...never without.
I run it every tank of our pleasure boat and back pack blower, as well.
I add a can to gas of our 3 daily drivers about once a quarter.

As you can see, I swear by it.  I don't like gummed up carbs or injectors...especially the cars less driven.

I buy it by the case through amazon or you can catch it on sale at Walmart sometimes.

John Homonek
[email-masked]
-----Original Message-----
From: Elton S <[email-masked]>
Sent: Jul 6, 2025 6:21 PM
To: Ahealey help <[email-masked]>
Subject: [Healeys] Sea Foam

Calling on the wisdom of Healey owners.
After the thread of Stabil fogging oil, what is your recommendation or
practice of using the product Sea Foam in our engines before or after
seasonal storage?
Elton,
BJ7

_______________________________________________

Archive:  http://autox.team.net/archive/healeys (http://www.team.net/pipermail/healeys)

[email-masked]
http://autox.team.net/mailman/listinfo/healeys

_______________________________________________

Archive: http://www.team.net/pipermail/healeys http://autox.team.net/archive/healeys

[email-masked]
http://autox.team.net/mailman/listinfo/healeys